Skip to main content

Supported Platforms

This document includes two lists. The first lists the platforms for which IT provides support. The second list has been provided by Juniper Networks and iterates the platforms for which they have tested the SSL VPN system.

Please note: This document references specific versions of software, for example Firefox 1.0. When this is the case, newer versions of the software may not be compatible with the SSL VPN system and are not supported.

UCSF Supported Platforms

The ITS Help Desk supports the use of SSL VPN system with the following platforms:

  • MacOS X 10.5.8 - 10.7.1, 32 bit and 64 bit 
    • Safari 4.0-5.1 with Sun JRE 6
  • Windows XP Pro SP3, 32 bit and 64 bit
    • Firefox 3.0 - 4.0 with Sun JRE 6
    • Internet Explorer 7.0 with Sun JRE 6
    • Internet Explorer 8.0 with Sun JRE 6
  • Windows Vista Enterprise SP1 32 bit and 64 bit
    • Firefox 3.6 - 4.0 with Sun JRE 6
    • Internet Explorer 7.0 with Sun JRE 6
    • Internet Explorer 8.0 with Sun JRE 6
    • Internet Explorer 9.0 with Sun JRE 6
  • Windows 7 Enterprise 32 bit and 64 bit
    • Firefox 3.6 - 4.0  with Sun JRE 6
    • Internet Explorer 7.0 with Sun JRE 6
    • Internet Explorer 8.0 with Sun JRE 6
    • Internet Explorer 9.0 with Sun JRE 6
  • Linux
    • OpenSUSE
    • Ubuntu
    • Red Hat

For a detailed list of solutions supported platforms, please read the supported platforms.pdf

Multiple Language Support

All the end-user functionality listed below is supported in German, French, Japanese, Traditional Chinese, Simplified Chinese, Spanish, and Korean. ITS documentation is only available in English.

Note on Java

The minimum version of Java supported by the SSL vpn@ucsf system is Sun JVM v1.4.2_04. Newer versions may be required depending on the application, web browser, and platform. Use of some newer open source web browsers requires a minimum Sun JVM of v1.5.0_03.